Bug 819543 - AttributeError: 'SwapSpace' object has no attribute 'testMount'
AttributeError: 'SwapSpace' object has no attribute 'testMount'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 10:12 EDT by matti aarnio
Modified: 2015-02-17 09:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:14:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
abrt program dump (84.36 KB, application/x-compressed-tar)
2012-05-07 10:12 EDT, matti aarnio
no flags Details
requested anaconda-tb-* file (562.61 KB, text/plain)
2013-03-03 17:06 EST, matti aarnio
no flags Details

  None (edit)
Description matti aarnio 2012-05-07 10:12:42 EDT
Created attachment 582679 [details]
abrt program dump

Description of problem:
  Rerunning graphical installed on target after the previous run had failed
  almost completing - or after it had completed - results in a crash.

Version-Release number of selected component (if applicable):
  Fedora-17-Beta, appears also at baseline 15 and 16 versions.

How reproducible:
  Deterministic.

Steps to Reproduce:
1. Install a host successfully
2. Try running update with same DVD on same installed system

Note:
  I tried to use 17-Beta because baseline 16 crashed this same way.
  What I really need to to recover the bootloader.
Comment 1 Chris Lumens 2012-05-07 15:18:47 EDT
Please attach /tmp/anaconda-tb-* to this bug report as a single, uncompressed file.  Doing anything else prevents us from searching bugzilla attachments in the future.
Comment 2 matti aarnio 2013-03-03 17:06:18 EST
Created attachment 704669 [details]
requested anaconda-tb-* file
Comment 3 Chris Lumens 2013-03-04 08:58:51 EST
I don't know if this is still a problem with current blivet, but reassigning for investigation anyway.

anaconda 17.20 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2018, in _parseOneLine
    if fmt.testMount():
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2103, in parseFSTab
    device = self._parseOneLine((devspec, mountpoint, fstype, options, dump, passno))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1670, in mountExistingSystem
    fsset.parseFSTab(anaconda=anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/upgrade.py", line 178, in upgradeMountFilesystems
    mountExistingSystem(anaconda, anaconda.upgradeRoot[0], allowDirty = 0)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
    self.dir = self.steps[self.step].target(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
    self.dispatch()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.go_forward()
AttributeError: 'SwapSpace' object has no attribute 'testMount'
Comment 4 Fedora End Of Life 2013-04-03 10:35:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 12:08:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:14:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.